## keyutils 1.5.2

=== Makefile ===
CPPFLAGS	:= -I.
CFLAGS		:= $(CPPFLAGS) -g -Wall -Werror
INSTALL		:= install
DESTDIR		:=
SPECFILE	:= keyutils.spec
NO_GLIBC_KEYERR	:= 0
NO_ARLIB	:= 0
ETCDIR		:= /etc
BINDIR		:= /bin
SBINDIR		:= /sbin
SHAREDIR	:= /usr/share/keyutils
MAN1		:= /usr/share/man/man1
MAN3		:= /usr/share/man/man3
MAN5		:= /usr/share/man/man5
MAN8		:= /usr/share/man/man8
INCLUDEDIR	:= /usr/include
LNS		:= ln -sf

###############################################################################
#
# Determine the current package version from the specfile
#
###############################################################################
vermajor	:= $(shell grep "%define vermajor" $(SPECFILE))
verminor	:= $(shell grep "%define verminor" $(SPECFILE))
MAJOR		:= $(word 3,$(vermajor))
MINOR		:= $(word 3,$(verminor))
VERSION		:= $(MAJOR).$(MINOR)

###############################################################################
#
# Determine the current library version from the version script
#
###############################################################################
libversion	:= $(filter KEYUTILS_%,$(shell grep ^KEYUTILS_ version.lds))
libversion	:= $(lastword $(libversion))
libversion	:= $(lastword $(libversion))
APIVERSION	:= $(subst KEYUTILS_,,$(libversion))
vernumbers	:= $(subst ., ,$(APIVERSION))
APIMAJOR	:= $(firstword $(vernumbers))

ARLIB		:= libkeyutils.a
DEVELLIB	:= libkeyutils.so
SONAME		:= libkeyutils.so.$(APIMAJOR)
LIBNAME		:= libkeyutils.so.$(APIVERSION)

###############################################################################
#
# Guess at the appropriate lib directory and word size
#
###############################################################################
LIBDIR		:= $(shell ldd /usr/bin/make | grep '\(/libc\)' | sed -e 's!.*\(/.*\)/libc[.].*!\1!')
USRLIBDIR	:= $(patsubst /lib/%,/usr/lib/%,$(LIBDIR))
BUILDFOR	:= $(shell file /usr/bin/make | sed -e 's!.*ELF \(32\|64\)-bit.*!\1!')-bit

LNS		:= ln -sf

ifeq ($(BUILDFOR),32-bit)
CFLAGS		+= -m32
LIBDIR		:= /lib
USRLIBDIR	:= /usr/lib
else
ifeq ($(BUILDFOR),64-bit)
CFLAGS		+= -m64
LIBDIR		:= /lib64
USRLIBDIR	:= /usr/lib64
endif
endif

###############################################################################
#
# This is necessary if glibc doesn't know about the key management error codes
#
###############################################################################
ifeq ($(NO_GLIBC_KEYERR),1)
CFLAGS	+= -DNO_GLIBC_KEYERR
LIBLIBS	:= -ldl -lc
else
LIBLIBS	:=
endif

###############################################################################
#
# Normal build rule
#
###############################################################################
all: $(DEVELLIB) keyctl request-key key.dns_resolver

###############################################################################
#
# Build the libraries
#
###############################################################################
#RPATH = -Wl,-rpath,$(LIBDIR)

ifeq ($(NO_ARLIB),0)
all: $(ARLIB)
$(ARLIB): keyutils.o
	$(AR) rcs $@ $<
endif

keyutils.o: keyutils.c keyutils.h Makefile
	$(CC) $(CPPFLAGS) $(CFLAGS) -UNO_GLIBC_KEYERR -o $@ -c $<


$(DEVELLIB): $(SONAME)
	ln -sf $< $@

$(SONAME): $(LIBNAME)
	ln -sf $< $@

LIBVERS := -shared -Wl,-soname,$(SONAME) -Wl,--version-script,version.lds

$(LIBNAME): keyutils.os version.lds Makefile
	$(CC) $(CFLAGS) -fPIC $(LDFLAGS) $(LIBVERS) -o $@ keyutils.os $(LIBLIBS)

keyutils.os: keyutils.c keyutils.h Makefile
	$(CC) $(CFLAGS) -fPIC -o $@ -c $<

###############################################################################
#
# Build the programs
#
###############################################################################
%.o: %.c keyutils.h Makefile
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ -c $<

keyctl: keyctl.o -lkeyutils
	$(CC) -L. $(CFLAGS) $(LDFLAGS) $(RPATH) -o $@ $< -lkeyutils

request-key: request-key.o -lkeyutils
	$(CC) -L. $(CFLAGS) $(LDFLAGS) $(RPATH) -o $@ $< -lkeyutils

key.dns_resolver: key.dns_resolver.o -lkeyutils
	$(CC) -L. $(CFLAGS) $(LDFLAGS) $(RPATH) -o $@ $< -lkeyutils -lresolv

###############################################################################
#
# Install everything
#
###############################################################################
install: all
ifeq ($(NO_ARLIB),0)
	$(INSTALL) -D -m 0644 $(ARLIB) $(DESTDIR)$(USRLIBDIR)/$(ARLIB)
endif
	$(INSTALL) -D $(LIBNAME) $(DESTDIR)$(LIBDIR)/$(LIBNAME)
	$(LNS) $(LIBNAME) $(DESTDIR)$(LIBDIR)/$(SONAME)
	mkdir -p $(DESTDIR)$(USRLIBDIR)
	$(LNS) $(LIBDIR)/$(SONAME) $(DESTDIR)$(USRLIBDIR)/$(DEVELLIB)
	$(INSTALL) -D keyctl $(DESTDIR)$(BINDIR)/keyctl
	$(INSTALL) -D request-key $(DESTDIR)$(SBINDIR)/request-key
	$(INSTALL) -D request-key-debug.sh $(DESTDIR)$(SHAREDIR)/request-key-debug.sh
	$(INSTALL) -D key.dns_resolver $(DESTDIR)$(SBINDIR)/key.dns_resolver
	$(INSTALL) -D -m 0644 request-key.conf $(DESTDIR)$(ETCDIR)/request-key.conf
	$(INSTALL) -D -m 0644 keyctl.1 $(DESTDIR)$(MAN1)/keyctl.1
	$(INSTALL) -D -m 0644 keyctl_chown.3 $(DESTDIR)$(MAN3)/keyctl_chown.3
	$(INSTALL) -D -m 0644 keyctl_clear.3 $(DESTDIR)$(MAN3)/keyctl_clear.3
	$(INSTALL) -D -m 0644 keyctl_describe.3 $(DESTDIR)$(MAN3)/keyctl_describe.3
	$(LNS) keyctl_describe.3 $(DESTDIR)$(MAN3)/keyctl_describe_alloc.3
	$(INSTALL) -D -m 0644 keyctl_get_keyring_ID.3 $(DESTDIR)$(MAN3)/keyctl_get_keyring_ID.3
	$(INSTALL) -D -m 0644 keyctl_get_security.3 $(DESTDIR)$(MAN3)/keyctl_get_security.3
	$(LNS) keyctl_get_security.3 $(DESTDIR)$(MAN3)/keyctl_get_security_alloc.3
	$(INSTALL) -D -m 0644 keyctl_instantiate.3 $(DESTDIR)$(MAN3)/keyctl_instantiate.3
	$(LNS) keyctl_instantiate.3 $(DESTDIR)$(MAN3)/keyctl_instantiate_iov.3
	$(LNS) keyctl_instantiate.3 $(DESTDIR)$(MAN3)/keyctl_reject.3
	$(LNS) keyctl_instantiate.3 $(DESTDIR)$(MAN3)/keyctl_negate.3
	$(LNS) keyctl_instantiate.3 $(DESTDIR)$(MAN3)/keyctl_assume_authority.3
	$(INSTALL) -D -m 0644 keyctl_join_session_keyring.3 $(DESTDIR)$(MAN3)/keyctl_join_session_keyring.3
	$(INSTALL) -D -m 0644 keyctl_link.3 $(DESTDIR)$(MAN3)/keyctl_link.3
	$(LNS) keyctl_link.3 $(DESTDIR)$(MAN3)/keyctl_unlink.3
	$(INSTALL) -D -m 0644 keyctl_read.3 $(DESTDIR)$(MAN3)/keyctl_read.3
	$(LNS) keyctl_read.3 $(DESTDIR)$(MAN3)/keyctl_read_alloc.3
	$(INSTALL) -D -m 0644 keyctl_revoke.3 $(DESTDIR)$(MAN3)/keyctl_revoke.3
	$(INSTALL) -D -m 0644 keyctl_search.3 $(DESTDIR)$(MAN3)/keyctl_search.3
	$(INSTALL) -D -m 0644 keyctl_setperm.3 $(DESTDIR)$(MAN3)/keyctl_setperm.3
	$(INSTALL) -D -m 0644 keyctl_set_reqkey_keyring.3 $(DESTDIR)$(MAN3)/keyctl_set_reqkey_keyring.3
	$(INSTALL) -D -m 0644 keyctl_set_timeout.3 $(DESTDIR)$(MAN3)/keyctl_set_timeout.3
	$(INSTALL) -D -m 0644 keyctl_update.3 $(DESTDIR)$(MAN3)/keyctl_update.3
	$(INSTALL) -D -m 0644 recursive_key_scan.3 $(DESTDIR)$(MAN3)/recursive_key_scan.3
	$(LNS) recursive_key_scan.3 $(DESTDIR)$(MAN3)/recursive_session_key_scan.3
	$(INSTALL) -D -m 0644 request-key.conf.5 $(DESTDIR)$(MAN5)/request-key.conf.5
	$(INSTALL) -D -m 0644 request-key.8 $(DESTDIR)$(MAN8)/request-key.8
	$(INSTALL) -D -m 0644 key.dns_resolver.8 $(DESTDIR)$(MAN8)/key.dns_resolver.8
	$(INSTALL) -D -m 0644 keyutils.h $(DESTDIR)$(INCLUDEDIR)/keyutils.h

###############################################################################
#
# Clean up
#
###############################################################################
clean:
	$(RM) libkeyutils*
	$(RM) keyctl request-key key.dns_resolver
	$(RM) *.o *.os *~
	$(RM) debugfiles.list debugsources.list

distclean: clean
	$(RM) -r rpmbuild

###############################################################################
#
# Generate a tarball
#
###############################################################################
TARBALL	:= keyutils-$(VERSION).tar.bz2
SRCBALL	:= rpmbuild/SOURCES/$(TARBALL)

dist	:= $(word 2,$(shell grep "%dist" /etc/rpm/macros.dist))
release	:= $(word 2,$(shell grep ^Release: $(SPECFILE)))
release	:= $(subst %{?dist},$(dist),$(release))
rpmver	:= $(VERSION)-$(release)
SRPM	:= rpmbuild/SRPMS/keyutils-$(rpmver).src.rpm

RPMBUILDDIRS := \
		--define "_srcrpmdir $(PWD)/rpmbuild/SRPMS" \
		--define "_rpmdir $(PWD)/rpmbuild/RPMS" \
		--define "_sourcedir $(PWD)/rpmbuild/SOURCES" \
		--define "_specdir $(PWD)/rpmbuild/SPECS" \
		--define "_builddir $(PWD)/rpmbuild/BUILD" \
		--define "_buildrootdir $(PWD)/rpmbuild/BUILDROOT"

rpm:
	mkdir -p rpmbuild/{SPECS,SOURCES,BUILD,BUILDROOT,RPMS,SRPMS}
	git archive --prefix=keyutils-$(VERSION)/ --format tar -o $(SRCBALL) HEAD
	rpmbuild -ts $(SRCBALL) --define "_srcrpmdir rpmbuild/SRPMS"
	rpmbuild --rebuild $(SRPM) $(RPMBUILDDIRS)

###############################################################################
#
# Build debugging
#
###############################################################################
show_vars:
	@echo VERSION=$(VERSION)
	@echo APIVERSION=$(APIVERSION)
	@echo LIBDIR=$(LIBDIR)
	@echo USRLIBDIR=$(USRLIBDIR)
	@echo BUILDFOR=$(BUILDFOR)
	@echo SONAME=$(SONAME)
	@echo LIBNAME=$(LIBNAME)

## keyutils 1.2-7

=== debian/changelog ===
keyutils (1.2-7) unstable; urgency=medium

  * Adding debug package.
  * Reordering control file.
  * Reordering rules file.
  * Rewriting copyright file in machine-interpretable format.
  * Adding vcs fields in control file.
  * Updating package to debhelper 6.

 -- Daniel Baumann <daniel@debian.org>  Sat, 12 Apr 2008 16:53:00 +0200

keyutils (1.2-6) unstable; urgency=low

  * Applied patch from Neil Williams <codehelp@debian.org> to add crossbuild
    support to debian/rules (Closes: #465217).

 -- Daniel Baumann <daniel@debian.org>  Mon, 11 Feb 2008 11:56:00 +0100

keyutils (1.2-5) unstable; urgency=low

  * Updated to new policy.
  * Corrected sections.
  * Improved package descriptions (Closes: #406441).

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 11:20:00 +0100

keyutils (1.2-4) unstable; urgency=low

  * Minor cleanups.

 -- Daniel Baumann <daniel@debian.org>  Sun, 26 Aug 2007 09:35:00 +0200

keyutils (1.2-3) unstable; urgency=medium

  * Downgrate to debhelper 4 again for etch inclusion.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 Feb 2007 08:12:00 +0100

keyutils (1.2-2) unstable; urgency=medium

  * Renaming packages (Closes: #409977).
  * Minor cleanups.

 -- Daniel Baumann <daniel@debian.org>  Tue,  6 Feb 2007 22:25:00 +0100

keyutils (1.2-1) unstable; urgency=low

  * Initial release (Closes: #401499).

 -- Daniel Baumann <daniel@debian.org>  Mon,  4 Dec 2006 10:31:00 +0100

=== debian/control ===
Source: keyutils
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper
Standards-Version: 3.7.3
Homepage: http://people.redhat.com/~dhowells/keyutils/
Vcs-Browser: http://git.debian.net/?p=keyutils.git
Vcs-Git: git://git.debian.net/git/keyutils.git

Package: keyutils
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux Key Management Utilities
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.

Package: keyutils-dbg
Section: devel
Priority: extra
Architecture: any
Depends: keyutils (= ${binary:Version}), libkeyutils1 (= ${binary:Version}), libkeyutils-dev (= ${binary:Version})
Description: Linux Key Management Utilities (debug)
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.
 .
 This package contains the debugging symbols.

Package: libkeyutils1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux Key Management Utilities (library)
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.
 .
 This package provides a wrapper library for the key management facility system
 calls.

Package: libkeyutils-dev
Section: libdevel
Architecture: any
Depends: libkeyutils1 (= ${binary:Version})
Description: Linux Key Management Utilities (development)
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
else
	CROSS=
endif

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

build: build-stamp
build-stamp:
	dh_testdir

	CFLAGS="$(CFLAGS)" $(MAKE) $(CROSS)

	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install --fail-missing --sourcedir=debian/tmp
	dh_strip --dbg-package=keyutils-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: clean build install binary binary-arch binary-indep

## keyutils 1.2-maemo1

=== debian/changelog ===
keyutils (1.2-maemo1) unstable; urgency=low

  * fix to compile for maemo

 -- Thomas Maass <inyourface@gmx.de>  Sat,  26 Jun 2010 21:48:00 +0200
 

keyutils (1.2-9) unstable; urgency=low

  * Correcting previous local email address in changelog.
  * Simplyfing libkeyutils1 install file.

 -- Daniel Baumann <daniel@debian.org>  Mon,  1 Sep 2008 13:01:00 +0200

keyutils (1.2-8) unstable; urgency=low

  * Removing cflags handling in rules, not required anymore.
  * Adding two patches from Michael Gebetsroither <gebi@grml.org> to fix memory
    leaks (Closes: #496466).
  * Updating to standards 3.8.0.
  * Using comma seperator for file pattern in copyright file.
  * Updatingto debhelper 7.
  * Correcting indenting in copyright file.
  * Adjusting indenting in rules file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 25 Aug 2008 13:45:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Daniel Baumann <daniel@debian.org>
-Build-Depends: debhelper
-Standards-Version: 3.7.3
+Build-Depends: debhelper7 (>= 7), dpatch
+Standards-Version: 3.8.0
 Homepage: http://people.redhat.com/~dhowells/keyutils/
 Vcs-Browser: http://git.debian.net/?p=keyutils.git
 Vcs-Git: git://git.debian.net/git/keyutils.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,14 @@
 #!/usr/bin/make -f
 
-DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
+export PATH
+SBOX_REDIRECT_IGNORE=/usr/bin/perl
+export SBOX_REDIRECT_IGNOR
+
+include /usr/share/dpatch/dpatch.make
+
+DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 	CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
@@ -9,15 +16,7 @@
 	CROSS=
 endif
 
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
@@ -27,7 +26,7 @@
 	dh_clean
 
 build: build-stamp
-build-stamp:
+build-stamp: patch
 	dh_testdir
 
 	CFLAGS="$(CFLAGS)" $(MAKE) $(CROSS)

## keyutils 1.4

=== debian/changelog ===
keyutils (1.4-4ubuntu2) natty; urgency=low

  * no-change rebuild against fixed pkgbinarymangler to get multiarch-
    safe changelogs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Mar 2011 10:13:14 -0700

keyutils (1.4-4ubuntu1) natty; urgency=low

  * Build for multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 17 Mar 2011 17:51:40 -0700

keyutils (1.4-4) unstable; urgency=low

  * Making reference to licenses in copyright distribution neutral.
  * Improving previous changelog entries.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 22 Jan 2011 21:39:57 +0100

keyutils (1.4-3) unstable; urgency=low

  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Removing README.source, not required anymore.
  * Makeing packaging distribution neutral.
  * Updating year in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 16 Jan 2011 18:44:03 +0100

keyutils (1.4-2) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.
  * Updating to standards version 3.9.1.
  * Rediffing memleak-from-realloc.patch.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Dec 2010 21:16:19 +0100

keyutils (1.4-1) unstable; urgency=low

  * Merging upstream version 1.4.
  * Call dh_install with --fail-missing in rules.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 27 Mar 2010 10:22:54 +0100

keyutils (1.3-1) unstable; urgency=low

  * Correcting wrong vcs-browser field.
  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Merging upstream version 1.3.
  * Updating README.source.
  * Updating year in copyright file.
  * Making build-depends on quilt versioned.
  * Sorting dh call in rules to more common order.
  * Removing manpage.patch, not required anymore.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 15 Mar 2010 18:57:29 +0100

keyutils (1.2-12) unstable; urgency=low

  * Updating maintainer field.
  * Updating vcs fields.
  * Updating package to standards version 3.8.3.
  * Bumping versioned build-depends on debhelper.
  * Sorting and wrapping depends.
  * Simplifying libkeyutils-dev install file.
  * Adding README.source.
  * Adding maintainer homepage in copyright.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 04 Oct 2009 09:53:38 +0200

keyutils (1.2-11) unstable; urgency=low

  * Updating priority for libkeyutils1.
  * Updating sections for keyutils, libkeyutils1, and libkeyutils-dev.
  * Updating to standards version 3.8.2.
  * Using correct rfc-2822 date formats in changelog.
  * Updating section of the debug package.
  * Minimizing rules file.
  * Adding misc depends to development and debug package.
  * Updating section for all packages.
  * Adding patch to remove undefined sequence from manpage.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 27 Jul 2009 12:52:28 +0200

keyutils (1.2-10) unstable; urgency=low

  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Using quilt rather than dpatch.
  * Updating year in copyright file.
  * Updating rules to current state of the art.
  * Adding patch from Marcus Meissner <meissner@suse.de> to add 2 cifs
    helpers to request-key.conf (for CIFS DFS support).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 05 Feb 2009 02:03:00 +0100

=== debian/control ===
Source: keyutils
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends: debhelper (>= 8.1.2ubuntu3)
Standards-Version: 3.9.1
Homepage: http://people.redhat.com/~dhowells/keyutils/

Package: keyutils
Section: admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Linux Key Management Utilities
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.

Package: keyutils-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends}, keyutils (= ${binary:Version}),
 libkeyutils1 (= ${binary:Version}), libkeyutils-dev (= ${binary:Version})
Description: Linux Key Management Utilities (debug)
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.
 .
 This package contains the debugging symbols.

Package: libkeyutils1
Section: libs
Priority: standard
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Linux Key Management Utilities (library)
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.
 .
 This package provides a wrapper library for the key management facility system
 calls.

Package: libkeyutils-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libkeyutils1 (= ${binary:Version})
Description: Linux Key Management Utilities (development)
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- LIBDIR=/lib/$(DEB_HOST_MULTIARCH) \
		USRLIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=keyutils-dbg

## keyutils 1.5.2

=== debian/changelog ===
keyutils (1.5.2-2) unstable; urgency=low

  * Adding patch from Nobuhiro Iwamatsu <iwamatsu@debian.org> to avoid
    setting Intel Architecture specific CFLAGS (Closes: #638925).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 24 Aug 2011 19:20:47 +0200

keyutils (1.5.2-1) unstable; urgency=low

  * Merging upstream version 1.5.2.
  * Updating year in copyright file.
  * Marking package as linux-any.
  * Rediffing memleak-from-realloc.patch.
  * Rediffing another-memleak.patch.
  * Rediffing cifs.patch.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 12 Aug 2011 20:40:57 +0200

keyutils (1.4-6) unstable; urgency=low

  * Compacting copyright file.
  * Bumping versioned build-depends on debhelper to please lintian.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 10 Jul 2011 17:09:01 +0200

keyutils (1.4-5) unstable; urgency=low

  * Updating standards version to 3.9.2.
  * Applying patch from Steve Langasek <steve.langasek@canonical.com> to
    add support for multiarch (Closes: #631579).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 28 Jun 2011 06:58:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: keyutils
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Build-Depends: debhelper (>= 8.1.2ubuntu3)
-Standards-Version: 3.9.1
+Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Build-Depends: debhelper (>= 8.9)
+Standards-Version: 3.9.2
 Homepage: http://people.redhat.com/~dhowells/keyutils/
 
 Package: keyutils
 Section: admin
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Linux Key Management Utilities
  Keyutils is a set of utilities for managing the key retention facility in the
@@ -20,7 +19,7 @@
 Package: keyutils-dbg
 Section: debug
 Priority: extra
-Architecture: any
+Architecture: linux-any
 Depends:
  ${misc:Depends}, keyutils (= ${binary:Version}),
  libkeyutils1 (= ${binary:Version}), libkeyutils-dev (= ${binary:Version})
@@ -35,7 +34,7 @@
 Package: libkeyutils1
 Section: libs
 Priority: standard
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -50,7 +49,7 @@
 
 Package: libkeyutils-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, libkeyutils1 (= ${binary:Version})
 Description: Linux Key Management Utilities (development)
  Keyutils is a set of utilities for managing the key retention facility in the

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- LIBDIR=/lib/$(DEB_HOST_MULTIARCH) USRLIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=keyutils-dbg

## keyutils 1.5.5

=== debian/changelog ===
keyutils (1.5.5-4) unstable; urgency=low

  * Adding dpkg-source local options.
  * Using make interna rather than 'true' in rules to make the testsuite
    not fail on purpose.
  * Updating to standards version 3.9.4.
  * Using correct compiler and ar when cross-building, thanks to Colin
    Watson <cjwatson@ubuntu.com> (Closes: #695022).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 11 Dec 2012 21:30:53 +0100

keyutils (1.5.5-3) unstable; urgency=low

  * Switching to xz compression.
  * Updating GPL boilerplate in copyright file.
  * Adding patch to use change-directory instead of push- and pop-
    directory in tests to fix FTBFS with dash (Closes: #659297).
  * Adding missing build-depends to lsb-release for testsuite.
  * Adding patch to use keyctl from the current build rather the one
    from system in testsuite (Closes: #659299).
  * Making test-suite failures not bailout for the moment as some tests
    do not work properly yet, but the test-suite should be run
    nevertheless.
  * Using space rather than comma seperated files field in copyright
    file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 29 Jun 2012 21:01:32 +0200

keyutils (1.5.5-2) unstable; urgency=low

  * Adding patch from Simon Ruderich <simon@ruderich.org> to fix FTBFS
    with hardening flags (Closes: #661393).
  * Updating to standards version 3.9.3.
  * Updating copyright file machine-readable format version 1.0.
  * Tightening debhelper install files.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 16 Apr 2012 09:45:04 +0000

keyutils (1.5.5-1) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Merging upstream version 1.5.5.
  * Updating year in copyright file.
  * Updating to debhelper version 9.
  * Enabling hardening build options.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 24 Jan 2012 17:08:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Build-Depends: debhelper (>= 8.9)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), lsb-release
+Standards-Version: 3.9.4
 Homepage: http://people.redhat.com/~dhowells/keyutils/
 
 Package: keyutils

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh ${@}

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
override_dh_auto_build:
	dh_auto_build -- CC=$(DEB_HOST_GNU_TYPE)-gcc AR=$(DEB_HOST_GNU_TYPE)-ar
endif

override_dh_auto_install:
	dh_auto_install -- LIBDIR=/lib/$(DEB_HOST_MULTIARCH) USRLIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
	# some tests do not yet work properly
	-dh_auto_test

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=keyutils-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

## keyutils 1.5.6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CPPFLAGS	:= -I.
-CFLAGS		:= $(CPPFLAGS) -g -Wall -Werror
+CFLAGS		:= -g -Wall -Werror
 INSTALL		:= install
 DESTDIR		:=
 SPECFILE	:= keyutils.spec
@@ -27,6 +27,9 @@
 MINOR		:= $(word 3,$(verminor))
 VERSION		:= $(MAJOR).$(MINOR)
 
+TARBALL		:= keyutils-$(VERSION).tar
+ZTARBALL	:= $(TARBALL).bz2
+
 ###############################################################################
 #
 # Determine the current library version from the version script
@@ -99,8 +102,12 @@
 	$(AR) rcs $@ $<
 endif
 
+VCPPFLAGS	:= -DPKGBUILD="\"$(shell date -u +%F)\""
+VCPPFLAGS	+= -DPKGVERSION="\"keyutils-$(VERSION)\""
+VCPPFLAGS	+= -DAPIVERSION="\"libkeyutils-$(APIVERSION)\""
+
 keyutils.o: keyutils.c keyutils.h Makefile
-	$(CC) $(CPPFLAGS) $(CFLAGS) -UNO_GLIBC_KEYERR -o $@ -c $<
+	$(CC) $(CPPFLAGS) $(VCPPFLAGS) $(CFLAGS) -UNO_GLIBC_KEYERR -o $@ -c $<
 
 
 $(DEVELLIB): $(SONAME)
@@ -115,7 +122,7 @@
 	$(CC) $(CFLAGS) -fPIC $(LDFLAGS) $(LIBVERS) -o $@ keyutils.os $(LIBLIBS)
 
 keyutils.os: keyutils.c keyutils.h Makefile
-	$(CC) $(CFLAGS) -fPIC -o $@ -c $<
+	$(CC) $(CPPFLAGS) $(VCPPFLAGS) $(CFLAGS) -fPIC -o $@ -c $<
 
 ###############################################################################
 #
@@ -125,13 +132,13 @@
 %.o: %.c keyutils.h Makefile
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ -c $<
 
-keyctl: keyctl.o -lkeyutils
+keyctl: keyctl.o $(DEVELLIB)
 	$(CC) -L. $(CFLAGS) $(LDFLAGS) $(RPATH) -o $@ $< -lkeyutils
 
-request-key: request-key.o -lkeyutils
+request-key: request-key.o $(DEVELLIB)
 	$(CC) -L. $(CFLAGS) $(LDFLAGS) $(RPATH) -o $@ $< -lkeyutils
 
-key.dns_resolver: key.dns_resolver.o -lkeyutils
+key.dns_resolver: key.dns_resolver.o $(DEVELLIB)
 	$(CC) -L. $(CFLAGS) $(LDFLAGS) $(RPATH) -o $@ $< -lkeyutils -lresolv
 
 ###############################################################################
@@ -152,7 +159,9 @@
 	$(INSTALL) -D request-key-debug.sh $(DESTDIR)$(SHAREDIR)/request-key-debug.sh
 	$(INSTALL) -D key.dns_resolver $(DESTDIR)$(SBINDIR)/key.dns_resolver
 	$(INSTALL) -D -m 0644 request-key.conf $(DESTDIR)$(ETCDIR)/request-key.conf
+	mkdir -p $(DESTDIR)$(ETCDIR)/request-key.d
 	$(INSTALL) -D -m 0644 keyctl.1 $(DESTDIR)$(MAN1)/keyctl.1
+	$(INSTALL) -D -m 0644 keyctl.3 $(DESTDIR)$(MAN3)/keyctl.3
 	$(INSTALL) -D -m 0644 keyctl_chown.3 $(DESTDIR)$(MAN3)/keyctl_chown.3
 	$(INSTALL) -D -m 0644 keyctl_clear.3 $(DESTDIR)$(MAN3)/keyctl_clear.3
 	$(INSTALL) -D -m 0644 keyctl_describe.3 $(DESTDIR)$(MAN3)/keyctl_describe.3
@@ -165,6 +174,7 @@
 	$(LNS) keyctl_instantiate.3 $(DESTDIR)$(MAN3)/keyctl_reject.3
 	$(LNS) keyctl_instantiate.3 $(DESTDIR)$(MAN3)/keyctl_negate.3
 	$(LNS) keyctl_instantiate.3 $(DESTDIR)$(MAN3)/keyctl_assume_authority.3
+	$(INSTALL) -D -m 0644 keyctl_invalidate.3 $(DESTDIR)$(MAN3)/keyctl_invalidate.3
 	$(INSTALL) -D -m 0644 keyctl_join_session_keyring.3 $(DESTDIR)$(MAN3)/keyctl_join_session_keyring.3
 	$(INSTALL) -D -m 0644 keyctl_link.3 $(DESTDIR)$(MAN3)/keyctl_link.3
 	$(LNS) keyctl_link.3 $(DESTDIR)$(MAN3)/keyctl_unlink.3
@@ -172,6 +182,7 @@
 	$(LNS) keyctl_read.3 $(DESTDIR)$(MAN3)/keyctl_read_alloc.3
 	$(INSTALL) -D -m 0644 keyctl_revoke.3 $(DESTDIR)$(MAN3)/keyctl_revoke.3
 	$(INSTALL) -D -m 0644 keyctl_search.3 $(DESTDIR)$(MAN3)/keyctl_search.3
+	$(INSTALL) -D -m 0644 keyctl_session_to_parent.3 $(DESTDIR)$(MAN3)/keyctl_session_to_parent.3
 	$(INSTALL) -D -m 0644 keyctl_setperm.3 $(DESTDIR)$(MAN3)/keyctl_setperm.3
 	$(INSTALL) -D -m 0644 keyctl_set_reqkey_keyring.3 $(DESTDIR)$(MAN3)/keyctl_set_reqkey_keyring.3
 	$(INSTALL) -D -m 0644 keyctl_set_timeout.3 $(DESTDIR)$(MAN3)/keyctl_set_timeout.3
@@ -185,10 +196,19 @@
 
 ###############################################################################
 #
+# Run tests
+#
+###############################################################################
+test:
+	$(MAKE) -C tests run
+
+###############################################################################
+#
 # Clean up
 #
 ###############################################################################
 clean:
+	$(MAKE) -C tests clean
 	$(RM) libkeyutils*
 	$(RM) keyctl request-key key.dns_resolver
 	$(RM) *.o *.os *~
@@ -202,28 +222,49 @@
 # Generate a tarball
 #
 ###############################################################################
-TARBALL	:= keyutils-$(VERSION).tar.bz2
+$(ZTARBALL):
+	git archive --prefix=keyutils-$(VERSION)/ --format tar -o $(TARBALL) HEAD
+	bzip2 -9 $(TARBALL)
+
+tarball: $(ZTARBALL)
+
+###############################################################################
+#
+# Generate an RPM
+#
+###############################################################################
 SRCBALL	:= rpmbuild/SOURCES/$(TARBALL)
 
+BUILDID	:= .local
 dist	:= $(word 2,$(shell grep "%dist" /etc/rpm/macros.dist))
 release	:= $(word 2,$(shell grep ^Release: $(SPECFILE)))
 release	:= $(subst %{?dist},$(dist),$(release))
+release	:= $(subst %{?buildid},$(BUILDID),$(release))
 rpmver	:= $(VERSION)-$(release)
 SRPM	:= rpmbuild/SRPMS/keyutils-$(rpmver).src.rpm
 
 RPMBUILDDIRS := \
-		--define "_srcrpmdir $(PWD)/rpmbuild/SRPMS" \
-		--define "_rpmdir $(PWD)/rpmbuild/RPMS" \
-		--define "_sourcedir $(PWD)/rpmbuild/SOURCES" \
-		--define "_specdir $(PWD)/rpmbuild/SPECS" \
-		--define "_builddir $(PWD)/rpmbuild/BUILD" \
-		--define "_buildrootdir $(PWD)/rpmbuild/BUILDROOT"
+		--define "_srcrpmdir $(CURDIR)/rpmbuild/SRPMS" \
+		--define "_rpmdir $(CURDIR)/rpmbuild/RPMS" \
+		--define "_sourcedir $(CURDIR)/rpmbuild/SOURCES" \
+		--define "_specdir $(CURDIR)/rpmbuild/SPECS" \
+		--define "_builddir $(CURDIR)/rpmbuild/BUILD" \
+		--define "_buildrootdir $(CURDIR)/rpmbuild/BUILDROOT"
+
+RPMFLAGS := \
+	--define "buildid $(BUILDID)"
 
 rpm:
+	mkdir -p rpmbuild
+	chmod ug-s rpmbuild
 	mkdir -p rpmbuild/{SPECS,SOURCES,BUILD,BUILDROOT,RPMS,SRPMS}
 	git archive --prefix=keyutils-$(VERSION)/ --format tar -o $(SRCBALL) HEAD
-	rpmbuild -ts $(SRCBALL) --define "_srcrpmdir rpmbuild/SRPMS"
-	rpmbuild --rebuild $(SRPM) $(RPMBUILDDIRS)
+	bzip2 -9 $(SRCBALL)
+	rpmbuild -ts $(SRCBALL).bz2 --define "_srcrpmdir rpmbuild/SRPMS" $(RPMFLAGS)
+	rpmbuild --rebuild $(SRPM) $(RPMBUILDDIRS) $(RPMFLAGS)
+
+rpmlint: rpm
+	rpmlint $(SRPM) $(CURDIR)/rpmbuild/RPMS/*/keyutils-{,libs-,libs-devel-,debuginfo-}$(rpmver).*.rpm
 
 ###############################################################################
 #

=== debian/changelog ===
keyutils (1.5.6-1) unstable; urgency=low

  * New upstream release.

 -- Luk Claes <luk@debian.org>  Wed, 11 Sep 2013 07:41:59 +0200

keyutils (1.5.5-7) unstable; urgency=low

  * Taking over with maintainer's consent.
  * Adding watch file.

 -- Luk Claes <luk@debian.org>  Sat, 06 Apr 2013 09:38:50 +0200

keyutils (1.5.5-6) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:53:34 +0100

keyutils (1.5.5-5) unstable; urgency=low

  * Updating year in copyright file.
  * Dropping dpkg-source compression levels (Closes: #695714).
  * Trimming diff headers in patches.
  * Prefixing patches with four digits.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 26 Feb 2013 13:21:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: keyutils
 Section: admin
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Luk Claes <luk@debian.org>
 Build-Depends: debhelper (>= 9), lsb-release
 Standards-Version: 3.9.4
 Homepage: http://people.redhat.com/~dhowells/keyutils/
 
 Package: keyutils
-Section: admin
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Linux Key Management Utilities

=== debian/rules ===
--- 
+++ 
@@ -27,4 +27,4 @@
 	dh_strip --dbg-package=keyutils-dbg
 
 override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
+	dh_builddeb -- -Zxz
